Skip to content

VendorContacts

Get the list of Vendor Contacts

Path

GET /odata/VendorContacts

Description

Returns a paged list of Vendor Contacts within the logged-in organization.

Note

You can filter the results as follows:

  • For an exact match, use: $filter parameter–entity eq ‘string’
  • For a partial match, use: $filter=contains parameter–contains(entity, ‘string’)

Request parameters

Parameter
Explanation
includeInactiveVendors
boolean default: false
in query
Include Inactive Vendors.
includeInactiveFacilities
boolean default: false
in query
Include Inactive Facilities.
api-version: string default: 1.0
in header
The requested API version.
$filter: string
in query
Restricts the set of items returned. Supports up to 100 expressions.
$orderby: string
in query
Specifies the order in which items are returned. Supports up to 5 expressions.
$search: string
in query
Searches across all supported fields.
$top: string
in query
Returns only the first n results.
$skip: string
in query
Skips the first n results.
Authorization: string default:
Bearer access_token
in header
Specify the type of the token (bearer) and insert the access_token obtained during authentication.

Responses

Response
Explanation
200 OK OK
400 Bad Request The request contains incorrect input data.
400 Bad Request The limit for the $top query has been exceeded. The value from the incoming request is 'N' (N is your value from the request). You can find the data on the current limit here.
401 Unauthorized The specified access_token is invalid or has expired.
403 Forbidden The user doesn’t have the appropriate privileges.
500 Internal Server Error The server encountered an unexpected condition that prevented it from fulfilling the request.

Properties

Property
Explanation
vendorContactId: string (uuid) Unique Identifier of the Vendor Contact
contactName: string Name of the main contact point
vendorId: string (uuid) Unique Identifier of the Vendor
vendorNo: string Code of the Supplier who sells products
vendorName: string Name of the Vendor
facilityId: string (uuid) Unique Identifier of the Facility
facilityNo: string Identification Number of the Facility
facilityName: string Name of the Facility
title: string Title
emailAddress: string Email Address of the main contact point
phone: string Phone of the main contact point
phoneExt: string Phone Extension of the main contact point
fax: string Fax of the main contact point
isDefault: boolean Is the Vendor Contact default or not?
dateAdded: string (date-time) Date when the Vendor Contract was added
addedBy: string (uuid) Unique Identifier of the user who added the Vendor Contact
addedByName: string Name of the user who added the Vendor Contact
lastUpdated: string (date-time) Last Date when the Vendor Contract was updated
lastUpdatedBy: string (uuid) Unique Identifier of the last user who updated the Vendor Contract
lastUpdatedByName: string Name of the last user who updated the Vendor Contract
activeStatus: boolean Is the Status of the Vendor Contact active or not?
Response Content-types: APPLICATION/JSON, APPLICATION/XML<br>Response example (200 OK)
{
    "@odata.context": "link",
    "@odata.count": "number",
    "value": [
        {
            "vendorContactId": "00000000-0000-0000-0000-000000000000",
            "contactName": "string",
            "vendorId": "00000000-0000-0000-0000-000000000000",
            "vendorNo": "string",
            "vendorName": "string",
            "facilityId": "00000000-0000-0000-0000-000000000000",
            "facilityNo": "string",
            "facilityName": "string",
            "title": "string",
            "emailAddress": "string",
            "phone": "string",
            "phoneExt": "string",
            "fax": "string",
            "isDefault": "boolean",
            "dateAdded": "string (date-time)",
            "addedBy": "00000000-0000-0000-0000-000000000000",
            "addeddByName": "string",
            "lastUpdated": "string (date-time)",
            "lastUpdatedBy": "00000000-0000-0000-0000-000000000000",
            "lastUpdatedByName": "string",
            "activeStatus": "boolean"
        }
    ],
    "@odata.nextLink": "link"
}

Create a new Vendor Contact

Path

POST /odata/Vendors({VendorId})/VendorContacts

Description

Creates a new Vendor Contact within the logged-in organization and the specified Vendor only for active Vendors and Facilities.

Request body

Parameter
Explanation
contactName: string
required
Name of the main contact point
title: string
required
Title
emailAddress: string Email Address of the main contact point
phone: string Phone of the main contact point
phoneExt: string Phone Extension of the main contact point
fax: string Fax of the main contact point
facilityId: string (uuid) Unique Identifier of the Facility
isDefault: boolean Is the Vendor Contact default or not?
If isDefault=true, then other contacts for this particular Facility (including Master) with isDefault=true should be updated to false.
Request Content-types: APPLICATION/JSON, APPLICATION/XML <br> Request Example
{
    "contactName": "string",
    "title ": "string",
    "emailAddress ": "string",
    "phone ": "string",
    "phoneExt ": "string",
    "fax": "string",
    "facilityId ": "00000000-0000-0000-0000-000000000000",
    "isDefault ": "boolean"
}

Request parameters

Parameter
Explanation
vendorId: string (uuid)
required
in path
Enter the ID of the Vendor.
api-version: string default: 1.0
in header
The requested API version.
Authorization: string default:
Bearer access_token
in header
Specify the type of the token (bearer) and insert the access_token obtained during authentication.

Responses

Response
Explanation
200 OK OK
400 Bad Request The request contains incorrect input data.
401 Unauthorized The specified access_token is invalid or has expired.
403 Forbidden The user doesn’t have the appropriate privileges.
500 Internal Server Error The server encountered an unexpected condition that prevented it from fulfilling the request.
Response Content-types: APPLICATION/JSON, APPLICATION/XML<br>Response Example (200 OK)
"00000000-0000-0000-0000-000000000000"

Get the specified Vendor Contact

Path

GET /odata/VendorContacts({vendorContactId})

Description

Returns the details of the Vendor Contact specified by ID within the logged-in organization.

Request parameters

Parameter
Explanation
includeInactiveVendors
boolean default: false
in query
Include Inactive Vendors.
includeInactiveFacilities
boolean default: false
in query
Include Inactive Facilities.
vendorContactId: string (uuid)
required
in path
Enter the ID of the Vendor Contact.
api-version: string default: 1.0
in header
The requested API version.
Authorization: string default:
Bearer access_token
in header
Specify the type of the token (bearer) and insert the access_token obtained during authentication.

Responses

Response
Explanation
200 OK OK
400 Bad Request The request contains incorrect input data.
401 Unauthorized The specified access_token is invalid or has expired.
403 Forbidden The user doesn’t have the appropriate privileges.
404 Not Found The specified ID is absent in the system.
500 Internal Server Error The server encountered an unexpected condition that prevented it from fulfilling the request.

Properties

Property
Explanation
vendorContactId: string (uuid) Unique Identifier of the Vendor Contact
contactName: string Name of the main contact point
vendorId: string (uuid) Unique Identifier of the Vendor
vendorNo: string Code of the Supplier who sells products
vendorName: string Name of the Vendor
facilityId: string (uuid) Unique Identifier of the Facility
facilityNo: string Identification Number of the Facility
facilityName: string Name of the Facility
title: string Title
emailAddress: string Email Address of the main contact point
phone: string Phone of the main contact point
phoneExt: string Phone Extension of the main contact point
fax: string Fax of the main contact point
isDefault: boolean Is the Vendor Contact default or not?
dateAdded: string (date-time) Date when the Vendor Contract was added
addedBy: string (uuid) Unique Identifier of the user who added the Vendor Contact
addedByName: string Name of the user who added the Vendor Contact
lastUpdated: string (date-time) Last Date when the Vendor Contract was updated
lastUpdatedBy: string (uuid) Unique Identifier of the last user who updated the Vendor Contract
lastUpdatedByName: string Name of the last user who updated the Vendor Contract
activeStatus: boolean Is the Status of the Vendor Contact active or not?
Response Content-types: APPLICATION/JSON, APPLICATION/XML<br>Response example (200 OK)
{
    "@odata.context": "link",
    "vendorContactId": "00000000-0000-0000-0000-000000000000",
    "contactName": "string",
    "vendorId": "00000000-0000-0000-0000-000000000000",
    "vendorNo": "string",
    "vendorName": "string",
    "facilityId": "00000000-0000-0000-0000-000000000000",
    "facilityNo": "string",
    "facilityName": "string",
    "title": "string",
    "emailAddress": "string",
    "phone": "string",
    "phoneExt": "string",
    "fax": "string",
    "isDefault": "boolean",
    "dateAdded": "string (date-time)",
    "addedBy": "00000000-0000-0000-0000-000000000000",
    "addeddByName": "string",
    "lastUpdated": "string (date-time)",
    "lastUpdatedBy": "00000000-0000-0000-0000-000000000000",
    "lastUpdatedByName": "string",
    "activeStatus": "boolean"
}